Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Queue

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.Queue

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieQueue

    public class Queue

extends TieApplicationObject

Queue class represent instances of Queues in iFS.

You need adimin privilege to create Queue instances. Queue class instances are used to represent instances of AQ in the system. Creation, deletion, and modifying the instances of this class do not affect the underlying AQ. AQ admin tools and api needs to be used to deal with AQ instances. Refer to AQ documentation for information about how to craete, delete, modify AQ instances.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `MESSAGEPROCESSORCLASSNAME_ATTRIBUTE` The message processor of this Queue (e.g.
`static java.lang.String` | `PAYLOADTYPE_ATTRIBUTE` The payload of this Queue (e.g.
`static java.lang.String` | `TYPEMAP_ATTRIBUTE` The type map of the queue.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` The name of this Queue (e.g.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Queue(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a Queue object - standard variant.

Method Summary
`protected static Queue` | `constructQueue(LibrarySession sess, S_LibraryObjectData data)` constructQueue FixmeJavadocMethod
`protected static java.util.Vector` | `constructQueueVector(LibrarySession sess, java.util.Vector vector)` constructQueueVector - FixmeJavadocMethod
`oracle.sql.ORAData` | `dequeue(java.lang.String subscriberName)` Dequeues a message.
`oracle.sql.ORAData` | `dequeueFromExceptionQueue()` Dequeues a message from the default exception queue.
`void` | `enqueue(oracle.sql.ORAData message)` Enqueues a message.
`void` | `enqueue(oracle.sql.ORAData message, java.lang.String correlation)` Enqueues a message.
`static Queue[]` | `findAll(LibrarySession session)` Returns the set of defined Queues.
`static Queue` | `findByName(LibrarySession session, java.lang.String name)` Returns the a Queue matching the specified name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySession session)` Returns the LibraryObjectLookupCache used by find Queue instances by uniquename.
`java.lang.String` | `getMessageProcessorClassName()` Returns the name of message processor class of the queue instance.
`java.lang.String` | `getPayloadType()` Returns the payload type of the queue instance.
`PropertyBundle` | `getTypeMap()` Returns the PropertyBundle used by this Queue to map message types.
`void` | `setMessageProcessorClassName(java.lang.String messageProcessorClassName)` Sets the meaasge processor class of the Queue instance.
`void` | `setPayloadType(java.lang.String payloadType)` Sets the payload type of the Queue instance.
`protected static Queue` | `vectorQueueElement(java.util.Vector vector, int index)` Returns a Queue from a vector of Queues
`protected static Queue[]` | `vectorToQueueArray(java.util.Vector vector)` Constructs an array of Queue's from a vector of Queues

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Queue`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `Queue`
  The name of this Queue (e.g. IFS_IN).

  See Also:
    Constant Field Values
  (Published)

### PAYLOADTYPE_ATTRIBUTE

    public static final java.lang.String PAYLOADTYPE_ATTRIBUTE

  Description copied from class: `Queue`
  The payload of this Queue (e.g. IfsQueueMessage).

  See Also:
    Constant Field Values
  (Published)

### MESSAGEPROCESSORCLASSNAME_ATTRIBUTE

    public static final java.lang.String MESSAGEPROCESSORCLASSNAME_ATTRIBUTE

  Description copied from class: `Queue`
  The message processor of this Queue (e.g. oracle.ifs.adk.queue.IfsMessageProcessor)

  See Also:
    Constant Field Values
  (Published)

### TYPEMAP_ATTRIBUTE

    public static final java.lang.String TYPEMAP_ATTRIBUTE

  Description copied from class: `Queue`
  The type map of the queue. This attribute holds on to mapping between orcale object type names used to represent the queue payload and their equivalent java classes.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Queue

    protected Queue(LibrarySession session,
                    java.lang.Long id,
                    java.lang.Long classId,
                    S_LibraryObjectData data)
             throws IfsException

  Construct a Queue object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - the object ID
    `classId` - int array version of the object ID
    `data` - the object's data
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### getPayloadType

    public java.lang.String getPayloadType()
                                    throws IfsException

  Description copied from class: `Queue`
  Returns the payload type of the queue instance. This is the name of the Oracle object type, that is used to represent message payloads on this queue.

  Returns:
    the payload type of the Queue.
  Throws:
    `IfsException` - on failure
  (Published)

### setPayloadType

    public void setPayloadType(java.lang.String payloadType)
                        throws IfsException

  Description copied from class: `Queue`
  Sets the payload type of the Queue instance. This is the name of the Oracle object type, that is used to represent message payloads on this queue.

  Parameters:
    `payloadType` - payload type of the queue instance
  Throws:
    `IfsException` - on failure
  (Published)

### getMessageProcessorClassName

    public java.lang.String getMessageProcessorClassName()
                                                  throws IfsException

  Description copied from class: `Queue`
  Returns the name of message processor class of the queue instance. This is the fully qualified name of the java class that is used to process the messages arriving on the queue. This class should implement oracle.ifs.adk.queue.MessageProcessorInterface.

  Returns:
    the name of the message processor of the Queue.
  Throws:
    `IfsException` - on failure
  (Published)

### setMessageProcessorClassName

    public void setMessageProcessorClassName(java.lang.String messageProcessorClassName)
                                      throws IfsException

  Description copied from class: `Queue`
  Sets the meaasge processor class of the Queue instance. This is the fully qualified name of the java class that is used to process the messages arriving on the queue. This class should implement oracle.ifs.adk.queue.MessageProcessorInterface.

  Parameters:
    `messageProcessorClassName` - name of the message processor class
  Throws:
    `IfsException` - on failure
  (Published)

### getTypeMap

    public PropertyBundle getTypeMap()
                              throws IfsException

  Description copied from class: `Queue`
  Returns the PropertyBundle used by this Queue to map message types.

  Returns:
    the Type map PropertyBundle for the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySession session)
                                                                throws IfsException

  Description copied from class: `Queue`
  Returns the LibraryObjectLookupCache used by find Queue instances by uniquename.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static Queue[] findAll(LibrarySession session)
                           throws IfsException

  Description copied from class: `Queue`
  Returns the set of defined Queues.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of Queues; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static Queue findByName(LibrarySession session,
                                   java.lang.String name)
                            throws IfsException

  Description copied from class: `Queue`
  Returns the a Queue matching the specified name.

  Queue names are case insensitive.

  Parameters:
    `session` - the session context
    `name` - the Queue name
  Returns:
    the Queue matching the specified name; or null if there exists no matching Queue
  Throws:
    `IfsException` - if the operation fails.

### enqueue

    public void enqueue(oracle.sql.ORAData message)
                 throws IfsException

  Description copied from class: `Queue`
  Enqueues a message. Message is an instance of a class the implements the ORAData interface. The class of object being enqueued should match the payload type of the queue. Otherwise, this method will throw an exception.

  Parameters:
    `message` - message to be enqueued
  Throws:
    `IfsException` - if the operation fails
  (Published)

### enqueue

    public void enqueue(oracle.sql.ORAData message,
                        java.lang.String correlation)
                 throws IfsException

  Description copied from class: `Queue`
  Enqueues a message. Message is an instance of a class the implements the ORAData interface. The class of object being enqueued should match the payload type of the queue. Otherwise, this method will throw an exception. The correlation string is attached to the message being enqueued.

  Parameters:
    `message` - message to be enqueued
    `correlation` - correlation for the message
  Throws:
    `IfsException` - if the operation fails
  (Published)

### dequeue

    public oracle.sql.ORAData dequeue(java.lang.String subscriberName)
                               throws IfsException

  Description copied from class: `Queue`
  Dequeues a message. Returns an object, whose class implements the ORAData interface. The class of this object matches the payload type of the queue. The subscriber name being passed here should be setup as a subscriber on the queue. The subscriber names do not correpond to 9iFS user names or datbase user names. They are arbitrary names used to identify a subscriber in AQ. Refer to AQ documentation for details.

  If a transaction that contained the call to this method is rolled back for any reason, RETRY_COUNT parameter of the message is incremented. Such a message will become available for dequeue after a period specified by the RETRY_DELAY parameter of the underlying AQ instance. Repeated rollbacks can cause the value of message's RETRY_COUNT property to go higher than the MAX_RETRY_COUNT property of the AQ instance. At that point, the message cannot be dequeued anymore and is moved to the exception queue. Use dequeueMessageFromExceptionQueue() method to get messages from an exception queue.

  Parameters:
    `subscriberName` - subscriber dequeueing the message
  Returns:
    message instance of a message if there is message on the queue; null otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### dequeueFromExceptionQueue

    public oracle.sql.ORAData dequeueFromExceptionQueue()
                                                 throws IfsException

  Description copied from class: `Queue`
  Dequeues a message from the default exception queue. Since AQ does not let regular subscribers dequeue messages from an exception queue, there is no subscriber parameter for this method. Administration mode is required for dequeue of messages from an exception queue.

  This method queries the database to find the queue table name of the regular queue and then constructs the name of the exception queue. The name of the default exception queue is has the pattern AQ$_<Queue_Table_Name>_E, where <Queue_Table_Name> is the queue table for the regular queue.

  If you rollback a transaction that contained a call to this method, then the message will simply be put back on the exception queue. The number of attempts to dequeue a message from an exception is not bound by the MAX_RETRY_COUNT.

  Returns:
    message instance of a message if there is message on the queue; null otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructQueueVector

    protected static java.util.Vector constructQueueVector(LibrarySession sess,
                                                           java.util.Vector vector)
                                                    throws IfsException

  Description copied from class: `Queue`
  constructQueueVector - FixmeJavadocMethod

  Parameters:
    `sess` - FixmeJavadocParam
    `vector` - FixmeJavadocParam
  Returns:
    new_vector FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructQueue

    protected static Queue constructQueue(LibrarySession sess,
                                          S_LibraryObjectData data)
                                   throws IfsException

  Description copied from class: `Queue`
  constructQueue FixmeJavadocMethod

  Parameters:
    `sess` - FixmeJavadocParam
    `data` - FixmeJavadocParam
  Returns:
    Queue FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToQueueArray

    protected static Queue[] vectorToQueueArray(java.util.Vector vector)

  Description copied from class: `Queue`
  Constructs an array of Queue's from a vector of Queues

  Parameters:
    `vector` - FixmeJavadocParam
  Returns:
    objs FixmeJavadocReturn
  (Unpublished)

### vectorQueueElement

    protected static Queue vectorQueueElement(java.util.Vector vector,
                                              int index)

  Description copied from class: `Queue`
  Returns a Queue from a vector of Queues

  Parameters:
    `vector` - FixmeJavadocParam
    `index` - FixmeJavadocParam
  Returns:
    obj FixmeJavadocReturn
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD